# -*- coding: utf-8 -*-
#
# File: chart.py
#
# Copyright (c) 2008 by []
# Generator: ArchGenXML Version 2.0
#            http://plone.org/products/archgenxml
#
# GNU General Public License (GPL)
#

__author__ = """Biagio Griamldi <biagio.grimaldi@abstract.it>"""
__docformat__ = 'plaintext'

from AccessControl import ClassSecurityInfo
from Products.Archetypes.atapi import *
from zope.interface import implements
from abstract.ofcchart.interfaces import *
from Products.ATContentTypes.content.base import ATCTContent
from Products.CMFDynamicViewFTI.browserdefault import BrowserDefaultMixin

from abstract.ofcchart.config import *

##code-section module-header #fill in your manual code here
from Products.DataGridField import DataGridField, DataGridWidget
from Products.DataGridField.Column import Column
from Products.DataGridField.SelectColumn import SelectColumn
from Products.DataGridField.RadioColumn import RadioColumn
from Products.DataGridField.CheckboxColumn import CheckboxColumn
from Products.DataGridField.FixedColumn import FixedColumn
from Products.DataGridField.DataGridField import FixedRow
from Products.DataGridField.HelpColumn import HelpColumn
from Products.DataGridField.LinkColumn import LinkColumn
##/code-section module-header

schema = Schema((

),
)

##code-section after-local-schema #fill in your manual code here
schema = Schema((

    StringField(
        name='lname',
        required=1,
        widget=StringWidget(
            label="Line's name",
        ),
    ),

    StringField(
        name='ylegend',
        required=1,
        widget=StringWidget(
            label='Y axis legend',
        ),
    ),
    
    StringField(
        name='xlegend',
        required=1,
        widget=StringWidget(
            label='X axis legend',
        ),
    ),
    
    StringField(
        name='chart_type',
        required=1,
        widget=SelectionWidget(
            format='select',
            label='Chart type',
        ),
        vocabulary=['Data Lines', 'Bar Chart', '3D Bar Chart', 'Pie Chart']
    ),
    
    IntegerField(
        name='width',
        required=1,
        default=800,
        widget=IntegerWidget(
            label='Width',
        ),
    ),
        
    IntegerField(
        name='height',
        required=1,
        default=600,
        widget=IntegerWidget(
            label='Height',
        ),
    ),

    DataGridField(
        name='values',
        required=1,
        widget=DataGridWidget(
            columns={'label':Column('Label'),
                     'value':Column('Value(Integer or Float)'),},
            label='Chart value',
        ),
        columns=('label','value',),
    ),

),
)
##/code-section after-local-schema

chart_schema = BaseSchema.copy() + \
    getattr(ATCTContent, 'schema', Schema(())).copy() + \
    schema.copy()

##code-section after-schema #fill in your manual code here
##/code-section after-schema

class chart(ATCTContent, BrowserDefaultMixin):
    """
    """
    security = ClassSecurityInfo()
    implements(Ichart)

    meta_type = 'chart'
    _at_rename_after_creation = True

    schema = chart_schema

    ##code-section class-header #fill in your manual code here
    ##/code-section class-header

    # Methods

    # Manually created methods

registerType(chart, PROJECTNAME)
# end of class contattiFornitori

##code-section module-footer #fill in your manual code here
##/code-section module-footer
